> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.artlist.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.artlist.io/_mcp/server.

# Song Controller Get Songs

GET /https://business.artlist.io/search/v1/song

Reference: https://developer.artlist.io/search/song/song-controller-get-songs

## Request

### Query parameters

- `page` (double, required) — Page number. Starts at 1
- `categoryIds` (list of string, optional) — category IDs, including Instrument, Genre, Mood & Video Theme; See [dictionary](/dictionaries).
- `vocalType` (string, optional) — Vocal type. Choose from a set of allowed values | VOCAL_AND_INSTRUMENTS, VOCAL, INSTRUMENTAL, FEMALE_VOCAL, MALE_VOCAL, DUET, GROUP, ACAPELLA
- `durationMin` (double, optional) — Duration in seconds. 0 to 420
- `durationMax` (double, optional) — Duration in seconds. 0 to 420
- `bpmMin` (double, optional) — BPM rate. 0 to 200
- `bpmMax` (double, optional) — BPM rate. 0 to 200
- `query` (string, optional) — Search term

## Response

### 200

Get songs. 20 per request

- `songs` (list of Song, required)
- `total` (double, required)

## Types

### Song

- `id` (string, required)
- `name` (string, required)
- `artist` (SongArtistDetails, required)
- `album` (SongAlbumDetails, required)
- `url` (string, required) — AAC URL of the song
- `imageUrl` (string, required) — Image URL of the album
- `thumbImageUrl` (string, required) — Thumbnail image URL of the album
- `waveSurferUrl` (string, required) — WaveSurfer URL of the song
- `duration` (double, required) — Duration of the song in seconds
- `bpmRate` (double, required) — BPM rate of the song
- `genreCategories` (list of SongGenreCategoryDetails, required) — Genre categories of the song

### SongArtistDetails

- `id` (string, required)
- `name` (string, required)
- `slug` (string, required) — Slug of the artist for URL

### SongAlbumDetails

- `id` (string, required)
- `name` (string, required)
- `slug` (string, required) — Slug of the album for URL

### SongGenreCategoryDetails

- `id` (string, required)
- `name` (string, required)

## Examples

**Response**

```json
{
  "songs": [
    {
      "id": "1234",
      "name": "Run the Place",
      "artist": {
        "id": "184",
        "name": "Rex Banner",
        "slug": "rex-banner"
      },
      "album": {
        "id": "10904",
        "name": "Top of the World",
        "slug": "top-of-the-world"
      },
      "url": "https://example.com/file.aac",
      "imageUrl": "https://example.com/album.jpg",
      "thumbImageUrl": "https://example.com/album-thumb.jpg",
      "waveSurferUrl": "https://example.com/wavesurfer.json",
      "duration": 141,
      "bpmRate": 120,
      "genreCategories": [
        {
          "id": "90",
          "name": "Retro"
        }
      ]
    }
  ],
  "total": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/https://business.artlist.io/search/v1/song"

querystring = {"page":"1.1"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.example.com/https://business.artlist.io/search/v1/song?page=1.1';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/https://business.artlist.io/search/v1/song?page=1.1"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/https://business.artlist.io/search/v1/song?page=1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/https://business.artlist.io/search/v1/song?page=1.1")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/https://business.artlist.io/search/v1/song?page=1.1');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/https://business.artlist.io/search/v1/song?page=1.1");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/https://business.artlist.io/search/v1/song?page=1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```